API ReferenceTask Comment
Get Task Comments By Task Share Token
GET
Get Task Comments By Task Share Token
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
token*stringTaskComment identifier
page?integerThe collection page number
Default
1itemsPerPage?integerThe number of items per page
Range
0 <= value <= 100Default
30cursorId?stringtopLevel?booleanrepliesTo?stringorder[createdAt]?stringDefault
"asc"Value in
"asc""desc"TaskComment collection
- response
[index: integer]?curl -X GET 'https://app.icproject.com/api/instance/demo/project/tasks/shared/string/task-comments'Example Response200
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "isEmoji": true, "content": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "pictureSm": "string", "pictureLg": "string" }, "createdBySource": "user", "files": [ { "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "pictureSm": "string", "pictureLg": "string" }, "type": "project", "taskComment": "74b627f5-ff78-4f23-addf-c50b206a1b80", "previewImageUrl": "string", "downloadUrl": "string", "downloadType": "download-direct", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "displayedName": "string", "extension": "string", "size": 0, "source": "internal", "createdAt": "2019-08-24T14:15:22Z" } ], "repliesTo": "536892ab-afb1-4c3e-9f5e-765a077adb2f", "repliesCount": 0, "taskCommentMentions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "pictureSm": "string", "pictureLg": "string" } } ], "taskCommentReactions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "pictureSm": "string", "pictureLg": "string" }, "reactionType": "string" } ] }]